## org.gnu.pango
Class AttrList

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.pango.AttrList

public class AttrList
extends GObject

The PangoAttrList structure represents a list of attributes that apply to a section of text. The attributes are, in general, allowed to overlap in an arbitrary fashion, however, if the attributes are manipulated only through pango_attr_list_change(), the overlap between properties will meet stricter criteria.

Since the PangoAttrList structure is stored as a linear list, it is not suitable for storing attributes for large amounts of text. In general, you should not use a single PangoAttrList for more than one paragraph of text.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`` `AttrList()` Construct a new AttrList.
`` `AttrList(AttrList list)` Create a new AttrList that is a copyof the provided list.
`protected` `AttrList(Handle handle)`

Method Summary
`void` `change(Attribute attr)` Insert the given attribute into the list.
`AttrIterator` `getIterator()` Create an iterator pointing at the beginning of the list.
`void` `insert(Attribute attr)` Insert the given attribute into the list.
`void` `insertBefore(Attribute attr)` Insert the given attribute into the list.
`protected static void` `pango_attr_list_change(Handle list, Handle attr)`
`protected static Handle` `pango_attr_list_copy(Handle list)`
`protected static Handle` `pango_attr_list_get_iterator(Handle list)`
`protected static int` `pango_attr_list_get_type()`
`protected static void` `pango_attr_list_insert_before(Handle list, Handle attr)`
`protected static void` `pango_attr_list_insert(Handle list, Handle attr)`
`protected static Handle` `pango_attr_list_new()`
`protected static void` `pango_attr_list_ref(Handle list)`
`protected static void` `pango_attr_list_splice(Handle list, Handle other, int pos, int len)`
`protected static void` `pango_attr_list_unref(Handle list)`
`void` `splice(AttrList other, int pos, int len)` Splice on list into another.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrList

    public AttrList(AttrList list)

  Create a new AttrList that is a copyof the provided list.

Parameters:
  `list` -

### AttrList

    protected AttrList(Handle handle)

### AttrList

    public AttrList()

  Construct a new AttrList.

Method Detail

### insert

    public void insert(Attribute attr)

  Insert the given attribute into the list. It will be inserted after all other attributes with a matching start_index.

### insertBefore

    public void insertBefore(Attribute attr)

  Insert the given attribute into the list. It will be inserted before all other attributes with a matching start_index.

### change

    public void change(Attribute attr)

  Insert the given attribute into the list. It will replace any attribute of the same type on that segment and be merged with any adjoining attributes that are identical.

### splice

    public void splice(AttrList other,
                       int pos,
                       int len)

  Splice on list into another.

  Parameters:
    `other` - The other AttrList to splice in the current one.
    `pos` - The position at which to insert.
    `len` - The length of the spliced segment.

### getIterator

    public AttrIterator getIterator()

  Create an iterator pointing at the beginning of the list.

### pango_attr_list_get_type

    protected static final int pango_attr_list_get_type()

### pango_attr_list_new

    protected static final Handle pango_attr_list_new()

### pango_attr_list_ref

    protected static final void pango_attr_list_ref(Handle list)

### pango_attr_list_unref

    protected static final void pango_attr_list_unref(Handle list)

### pango_attr_list_copy

    protected static final Handle pango_attr_list_copy(Handle list)

### pango_attr_list_insert

    protected static final void pango_attr_list_insert(Handle list,
                                                       Handle attr)

### pango_attr_list_insert_before

    protected static final void pango_attr_list_insert_before(Handle list,
                                                              Handle attr)

### pango_attr_list_change

    protected static final void pango_attr_list_change(Handle list,
                                                       Handle attr)

### pango_attr_list_splice

    protected static final void pango_attr_list_splice(Handle list,
                                                       Handle other,
                                                       int pos,
                                                       int len)

### pango_attr_list_get_iterator

    protected static final Handle pango_attr_list_get_iterator(Handle list)